// File generated by ../scripts/generate_controller_data.pl

const char *ctl_get_state_name(ctl_state_fn_t *fn) {
	if (fn == ctl_state_next_command) return "ctl_state_next_command";
	if (fn == ctl_state_run_command) return "ctl_state_run_command";
	if (fn == ctl_state_end_command) return "ctl_state_end_command";
	if (fn == ctl_state_close) return "ctl_state_close";
	if (fn == ctl_state_free) return "ctl_state_free";
	if (fn == ctl_state_dump_fds) return "ctl_state_dump_fds";
	if (fn == ctl_state_dump_services) return "ctl_state_dump_services";
	if (fn == ctl_state_dump_signals) return "ctl_state_dump_signals";
	return "invalid state";
}

// 21 commands
// table size is 64, mul is 53, shift is 4

int ctl_command_hash_func(strseg_t name) {
	uint32_t x= 0;
	int i= 0;
	for (i= 0; i < name.len; i++)
		x= ((x * 53) >> 4) + (name.data[i] & 0xFF);
	
	return x & 63;
}

const ctl_command_table_entry_t ctl_command_table[]= {
	{ { NULL, 0 }, NULL },
	{ { NULL, 0 }, NULL },
	{ { "exit", 4}, ctl_cmd_exit },
	{ { NULL, 0 }, NULL },
	{ { "fd.delete", 9}, ctl_cmd_fd_delete },
	{ { NULL, 0 }, NULL },
	{ { NULL, 0 }, NULL },
	{ { NULL, 0 }, NULL },
	{ { NULL, 0 }, NULL },
	{ { NULL, 0 }, NULL },
	{ { "log.filter", 10}, ctl_cmd_log_filter },
	{ { NULL, 0 }, NULL },
	{ { NULL, 0 }, NULL },
	{ { "service.delete", 14}, ctl_cmd_svc_delete },
	{ { "socket.delete", 13}, ctl_cmd_socket_delete },
	{ { NULL, 0 }, NULL },
	{ { "statedump", 9}, ctl_cmd_statedump },
	{ { "fd.pipe", 7}, ctl_cmd_fd_pipe },
	{ { NULL, 0 }, NULL },
	{ { NULL, 0 }, NULL },
	{ { NULL, 0 }, NULL },
	{ { "echo", 4}, ctl_cmd_echo },
	{ { NULL, 0 }, NULL },
	{ { NULL, 0 }, NULL },
	{ { NULL, 0 }, NULL },
	{ { NULL, 0 }, NULL },
	{ { NULL, 0 }, NULL },
	{ { NULL, 0 }, NULL },
	{ { NULL, 0 }, NULL },
	{ { NULL, 0 }, NULL },
	{ { NULL, 0 }, NULL },
	{ { NULL, 0 }, NULL },
	{ { "terminate", 9}, ctl_cmd_terminate },
	{ { "fd.open", 7}, ctl_cmd_fd_open },
	{ { NULL, 0 }, NULL },
	{ { NULL, 0 }, NULL },
	{ { NULL, 0 }, NULL },
	{ { "terminate.exec_args", 19}, ctl_cmd_terminate_exec_args },
	{ { NULL, 0 }, NULL },
	{ { NULL, 0 }, NULL },
	{ { "signal.clear", 12}, ctl_cmd_signal_clear },
	{ { NULL, 0 }, NULL },
	{ { NULL, 0 }, NULL },
	{ { "terminate.guard", 15}, ctl_cmd_terminate_guard },
	{ { NULL, 0 }, NULL },
	{ { NULL, 0 }, NULL },
	{ { NULL, 0 }, NULL },
	{ { NULL, 0 }, NULL },
	{ { "conn.event_timeout", 18}, ctl_cmd_event_pipe_timeout },
	{ { NULL, 0 }, NULL },
	{ { "service.signal", 14}, ctl_cmd_svc_signal },
	{ { NULL, 0 }, NULL },
	{ { "socket.create", 13}, ctl_cmd_socket_create },
	{ { NULL, 0 }, NULL },
	{ { NULL, 0 }, NULL },
	{ { "service.auto_up", 15}, ctl_cmd_svc_auto_up },
	{ { "service.start", 13}, ctl_cmd_svc_start },
	{ { NULL, 0 }, NULL },
	{ { "log.dest", 8}, ctl_cmd_log_dest },
	{ { "service.args", 12}, ctl_cmd_svc_args },
	{ { NULL, 0 }, NULL },
	{ { NULL, 0 }, NULL },
	{ { "service.fds", 11}, ctl_cmd_svc_fds },
	{ { NULL, 0 }, NULL },
	{ {NULL, 0}, NULL}
};
